Foreman - Refactor #32070

Switch all welcome pages to use EmptyStatePattern component
03/11/2021 01:17 PM - Tomer Brisker

Status: Closed
Priority: Normal
Assignee: Adi Abramovitch
Category: JavaScript stack
Target version:
Difficulty: Fixed in Releases: 2.5.0
Triaged: No Found in Releases:
Bugzilla link: 1806461 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/g418
Description

Currently, each page uses a different erb template to display its content. By changing all these pages to mount the
EmptyStatePattern component, we can have a unified look and feel and implement changes to the design in one central location.

Related issues:
Related to Foreman - Bug #32056: Documentation link open in the same tab

Closed

Copied to Puppet - Refactor #32588: Switch all welcome pages to use EmptyStat... New

Associated revisions

Revision 94¢522d8 - 04/25/2021 01:33 PM - Adi Abramovitch

Fixes #32070 - Updating welcome pages to use react component

Revision 91c28da7 - 07/19/2021 10:39 AM - Nadja Heitmann

Refs #32070 - Remove Puppet Environment react component

These components are no longer used after puppet has been extracted.
This is implemented in https://github.com/theforeman/foreman_puppet/pull/163

History

#1 - 03/11/2021 01:23 PM - Tomer Brisker

- Description updated

#2 - 03/15/2021 08:28 AM - Ondfej Prazak
- Bugzilla link set to 1806461

#3 - 03/15/2021 09:19 AM - Tomer Brisker

- Related to Bug #32056: Documentation link open in the same tab added

#4 - 03/15/2021 02:37 PM - Adi Abramovitch

- Assignee set to Adi Abramovitch

#5 - 03/29/2021 02:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8418 added

#6 - 04/25/2021 01:33 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#7 - 04/25/2021 02:01 PM - Adi Abramovitch
- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman_puppet/pull/163

Applied in changeset foreman|94c522d89ac46f2c550a6ba8311104d27603a629.

#8 - 05/12/2021 09:21 AM - Adi Abramovitch
- Copied to Refactor #32588: Switch all welcome pages to use EmptyStatePattern component added

05/17/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/94c522d89ac46f2c550a6ba8311104d27603a629
http://www.tcpdf.org

